=== debian/changelog ===
ros-melodic-denso-robot-control (3.3.0-1bionic) bionic; urgency=high

  * Add supporting for COBOTTA PRO
  * Change "ResetStoState" to "ManualReset" in the initialization process
  * Modify to use reset_controllers when b-CAP Slave is enabled
  * Add parameter to specify bcap_slave_mode at startup

 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Mon, 13 Feb 2023 15:00:00 -0000

ros-melodic-denso-robot-control (3.2.0-1bionic) bionic; urgency=high

  * Add "ResetStoState" to initialization

 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Tue, 01 Jun 2021 15:00:00 -0000

ros-melodic-denso-robot-control (3.1.2-1bionic) bionic; urgency=high



 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Thu, 01 Apr 2021 15:00:00 -0000

ros-melodic-denso-robot-control (3.1.1-1bionic) bionic; urgency=high

  * Add ros::spinOnce() for the callbacks

 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Tue, 02 Mar 2021 15:00:00 -0000

ros-melodic-denso-robot-control (3.1.0-1bionic) bionic; urgency=high

  * Add supporting for RC9
  * Add bcap_slave_control_cycle_msec
  * Add error descriptions of controller
  * Fix send_format/recv_format
  * Fix Int32 to UInt32 of MiniIO and HandIO
  * Remove first 5-seconds-sleep in main()

 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Tue, 22 Dec 2020 15:00:00 -0000

ros-melodic-denso-robot-control (3.0.4-1bionic) bionic; urgency=high



 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Tue, 26 Nov 2019 15:00:00 -0000

ros-melodic-denso-robot-control (3.0.3-1bionic) bionic; urgency=high

  * Change to sleep in only slave sync mode

 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Sun, 22 Sep 2019 15:00:00 -0000

ros-melodic-denso-robot-control (3.0.2-1bionic) bionic; urgency=high

  * Add clear error step before motor on
  * Add subscriber and publisher for I/O function
  * Add I/O function for denso_robot_control
  * Remove new line from ROS_INFO,ROS_WARN,ROS_ERROR
  * Change descriptions and add url, author
  * Check the catkin_lint result
  * Contributors: MIYAKOSHI Yoshihiro

 -- DENSO WAVE INCORPORATED <fa-support@denso-wave.com>  Thu, 14 Dec 2017 15:00:00 -0000
